%define srcname	poetry

Name:		python-poetry
Version:	1.3.2
Release:	%mkrel 2
Summary:	Python dependency management and packaging made easy
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:		poetry-1.3.2-relax-reqs.patch
BuildArch:	noarch

%description
Python dependency management and packaging made easy

%package -n python3-poetry
Summary:	Python dependency management and packaging made easy
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(poetry-core)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-poetry
Python dependency management and packaging made easy

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# handle reqs with pyproject.toml
rm -rf PKG-INFO

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry

%files -n python3-poetry -f %{pyproject_files}
%_bindir/poetry


%changelog
* Tue Jan 31 2023 papoteur <papoteur> 1.3.2-2.mga9
+ Revision: 1937250
- relax reqs

* Tue Jan 31 2023 papoteur <papoteur> 1.3.2-1.mga9
+ Revision: 1937177
- new 1.3.2

* Mon Sep 12 2022 wally <wally> 1.2.0-3.mga9
+ Revision: 1887508
- relax reqs

* Thu Sep 08 2022 neoclust <neoclust> 1.2.0-2.mga9
+ Revision: 1885597
- Allow install with current python-crashtest
- imported package python-poetry

